Package ghidra.pcode.exec

# Class PcodeProgram.MyFormatter

java.lang.Object
ghidra.app.util.pcode.AbstractPcodeFormatter<String,PcodeProgram.MyAppender>
ghidra.pcode.exec.PcodeProgram.MyFormatter

All Implemented Interfaces:
  `PcodeFormatter<String>`

Enclosing class:
  PcodeProgram

protected static class PcodeProgram.MyFormatter extends AbstractPcodeFormatter<String,PcodeProgram.MyAppender>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.app.util.pcode.AbstractPcodeFormatter

  `AbstractPcodeFormatter.FormatResult`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final PcodeProgram`
  `program`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MyFormatter(PcodeProgram program)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected PcodeProgram.MyAppender`
  `createAppender(Language language, boolean indent)`
  Create the appender for a formatting invocation
  `protected AbstractPcodeFormatter.FormatResult`
  `formatOpTemplate(PcodeProgram.MyAppender appender, OpTpl op)`
  Format a single op template

  ### Methods inherited from class ghidra.app.util.pcode.AbstractPcodeFormatter

  `formatAddress, formatCallOtherName, formatConstant, formatInput, formatLabelInput, formatMemoryInput, formatOutput, formatSize, formatTemplates, formatUnique, formatVarnode, formatVarnodeNice, formatVarnodeRaw, isFormatRaw, isLineLabel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.app.util.pcode.PcodeFormatter

  `formatOps, formatOps`

- ## Field Details

  - ### program

    protected final PcodeProgram program

- ## Constructor Details

  - ### MyFormatter

    public MyFormatter(PcodeProgram program)

- ## Method Details

  - ### createAppender

    protected PcodeProgram.MyAppender createAppender(Language language, boolean indent)
    Description copied from class: `AbstractPcodeFormatter`
    Create the appender for a formatting invocation
    Specified by:
      `createAppender` in class `AbstractPcodeFormatter<String,PcodeProgram.MyAppender>`
    Parameters:
      `language` - the language of the p-code to format
      `indent` - indicates whether each line should be indented to accommodate line labels
    Returns:
      the new appender

  - ### formatOpTemplate

    protected AbstractPcodeFormatter.FormatResult formatOpTemplate(PcodeProgram.MyAppender appender, OpTpl op)
    Description copied from class: `AbstractPcodeFormatter`
    Format a single op template
    Overrides:
      `formatOpTemplate` in class `AbstractPcodeFormatter<String,PcodeProgram.MyAppender>`
    Parameters:
      `appender` - the appender to receive the formatted text
      `op` - the template to format
    Returns:
      instructions to continue or terminate. The loop in `AbstractPcodeFormatter.formatTemplates(Language, List)` is terminated if this method returns `AbstractPcodeFormatter.FormatResult.TERMINATE`.